function [model,a,b,K,V1linShear,V2linShear,V3linShear,minEcc,maxEcc]= selectDemoParams(model,a,b,K,V1linShear,V2linShear,V3linShear,minEcc,maxEcc)
%**************************************************************************
%      written August 2009 by Mark Schira, mark@ski.org
%      University of New South Wales
%      part of Schira, Tyler, Spehar and Breakspear 2009
%**************************************************************************
%
%Purpose: A simple gui for setting the parameters of the Demo
%open the figure
wi=104;
hei=5.5;
posNums=[30 10 wi hei];
h_mainFig = figure('MenuBar','none',...
    'Units','char',...
    'Resize','off',...
    'NumberTitle','off',...
    'Position',posNums);
bkColor = get(h_mainFig,'Color');
uicontrol('Style','text',...
    'Units','char',...
    'string',...,
    'This code is part of Schira, Tyler, Spehar & Breakspear 2009. ',...
    'Position',[0 0.8 wi 1],...
    'HorizontalAlignment','center',...
    'BackgroundColor',bkColor,...
    'FontSize',9);

ModelList={'DoubleSech','bandedDoubleSech','Schwartz'};
defaultMod=find(strcmp(model,ModelList));
uicontrol('Style','text',...
    'Units','char',...
    'String','Model' ,...
    'Position',[1 4 25 1],...
    'HorizontalAlignment','center',...
    'FontSize',9);

model_action = uicontrol('Units','char','HorizontalAlignment','center',...
    'Style','popupmenu','String',ModelList,'Value',defaultMod,'Position',[1 3 25 1],'BackgroundColor',[0.85 0.85 0.85]);



%% a
uicontrol('Style','text',...
    'Units','char',...
    'String',' a ' ,...
    'Position',[27 4 5 1],...
    'HorizontalAlignment','center',...
    'FontSize',9);
a_param = uicontrol('Units','char','HorizontalAlignment','center',...
    'Style','edit','String',num2str(a),...
    'Position',[27 2.5 5 1.3],'BackgroundColor',[0.85 0.85 0.85]);


%% b
uicontrol('Style','text',...
    'Units','char',...
    'String',' b ' ,...
    'Position',[34 4 5 1],...
    'HorizontalAlignment','center',...
    'FontSize',9);
b_param = uicontrol('Units','char','HorizontalAlignment','center',...
    'Style','edit','String',num2str(b),...
    'Position',[34 2.5 5 1.3],'BackgroundColor',[0.85 0.85 0.85]);


%% K
uicontrol('Style','text',...
    'Units','char',...
    'String',' K ' ,...
    'Position',[41 4 5 1],...
    'HorizontalAlignment','center',...
    'FontSize',9);
K_param = uicontrol('Units','char','HorizontalAlignment','center',...
    'Style','edit','String',int2str(K),...
    'Position',[41 2.5 5 1.3],'BackgroundColor',[0.85 0.85 0.85]);


%% alpha V1
uicontrol('Style','text',...
    'Units','char',...
    'string','a1' ,...
    'FontName','symbol',...
    'Position',[48 4 5 1],...
    'HorizontalAlignment','center',...
    'FontSize',9);
V1linshear_param = uicontrol('Units','char','HorizontalAlignment','center',...
    'Style','edit','String',int2str(V1linShear),...
    'Position',[48 2.5 5 1.3],'BackgroundColor',[0.85 0.85 0.85]);


%% alpha V2
uicontrol('Style','text',...
    'Units','char',...
    'string','a2' ,...
    'FontName','symbol',...
    'Position',[55 4 5 1],...
    'HorizontalAlignment','center',...
    'FontSize',9);
V2linshear_param = uicontrol('Units','char','HorizontalAlignment','center',...
    'Style','edit','String',num2str(V2linShear),...
    'Position',[55 2.5 5 1.3],'BackgroundColor',[0.85 0.85 0.85]);

%% alpha V3
uicontrol('Style','text',...
    'Units','char',...
    'string','a3' ,...
    'FontName','symbol',...
    'Position',[62 4 5 1],...
    'HorizontalAlignment','center',...
    'FontSize',9);
V3linshear_param = uicontrol('Units','char','HorizontalAlignment','center',...
    'Style','edit','String',num2str(V3linShear),...
    'Position',[62 2.5 5 1.3],'BackgroundColor',[0.85 0.85 0.85]);

%% minEcc
uicontrol('Style','text',...
    'Units','char',...
    'string','minEcc' ,...
    'Position',[69 4 9 1],...
    'HorizontalAlignment','center',...
    'FontSize',9);
minEcc_param = uicontrol('Units','char','HorizontalAlignment','center',...
    'Style','edit','String',num2str(minEcc),...
    'Position',[69 2.5 9 1.3],'BackgroundColor',[0.85 0.85 0.85]);

%% maxEcc
uicontrol('Style','text',...
    'Units','char',...
    'string','maxEcc' ,...
    'Position',[80 4 9 1],...
    'HorizontalAlignment','center',...
    'FontSize',9);
maxEcc_param = uicontrol('Units','char','HorizontalAlignment','center',...
    'Style','edit','String',num2str(maxEcc),...
    'Position',[80 2.5 9 1.3],'BackgroundColor',[0.85 0.85 0.85]);

%% and now go
uicontrol('Style','pushbutton',...
    'String','GO!',...
    'Units','char',...
    'Position',[91 2.4 12 2.8],...
    'CallBack','uiresume',...
    'FontSize',14,...
    'HorizontalAlignment','center',...
    'UserData','OK');


%% now wait till button press. then check the OK button was pressed
uiwait;
response = get(gco,'UserData');

model=ModelList{get(model_action,'Value')};
a=str2double(get(a_param,'String'));
b=str2double(get(b_param,'String'));
K=str2double(get(K_param,'String'));
V1linShear=str2double(get(V1linshear_param,'String'));
V2linShear=str2double(get(V2linshear_param,'String'));
V3linShear=str2double(get(V3linshear_param,'String'));
minEcc=str2double(get(minEcc_param,'String'));
maxEcc=str2double(get(maxEcc_param,'String'));
close(h_mainFig);
